Get a participation for the authenticated partner and user
curl --request GET \
--url https://api.coinlist.co/v1/participations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinlist.co/v1/participations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinlist.co/v1/participations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "<string>",
"amount_string": "<string>",
"asset": {
"code": "<string>",
"fractional_digits": 123,
"id": "<string>",
"name": "<string>"
},
"chain": "ethereum_sepolia",
"id": "05edea81-98a7-4582-aa7c-040d57cb1858",
"object": "participation",
"offer_id": "<string>",
"offer_option_id": "<string>",
"status": "prepared",
"inserted_at": "2025-01-01T00:00:00.000000Z",
"updated_at": "2025-01-01T00:00:00.000000Z",
"wallet_address": "<string>"
}{
"message": "<string>",
"type": "api_error",
"code": "<string>",
"errors": {},
"event_id": "<string>"
}Participations
Get a participation for the authenticated partner and user
GET
/
v1
/
participations
/
{id}
Get a participation for the authenticated partner and user
Authorizations
OAuth 2.0 authorization and token endpoints
Path Parameters
Participation ID
Response
Successful response.
An offer participation
The participation amount
The participation amount formatted as a human-readable string
The asset details for the participation
Show child attributes
Show child attributes
The chain for the participation contract
Available options:
ethereum_sepolia, base_sepolia, solana_devnet, ethereum_mainnet, base_mainnet, solana_mainnet Unique identifier for the object.
Example:
"05edea81-98a7-4582-aa7c-040d57cb1858"
String representing the object's type. Objects of the same type share the same value.
Available options:
participation The ID of the offer
The ID of the offer option
The participation status
Available options:
prepared, pending, submitted, completed, failed, remit_submitted, remitted, remit_failed When the participation was created
Example:
"2025-01-01T00:00:00.000000Z"
When the participation was last updated
Example:
"2025-01-01T00:00:00.000000Z"
The wallet address for the participation